﻿@using System.Web.UI.WebControls
@using System.Web.Mvc;
@using System.Data;

@using Portal.Models.AnnualPlan;

@model Toyota.Common.Web.MVC.ModelHolder
           
@Html.Common().DevExpress().GridView(
    gridView =>
    {
        gridView.Name = "APADDDGridView";

        gridView.CallbackRouteValues = new { Controller = "AnnualPlan", Action = "PartialDetailAnnualPlanAPPSDetailData" };
        gridView.ClientSideEvents.BeginCallback = "OnAPADDDGridViewBeginCallback";
                    
        gridView.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        gridView.Width = Unit.Percentage(100);

        gridView.Settings.ShowFilterRow = true;
        gridView.Settings.ShowFilterRowMenu = true;
        gridView.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
        gridView.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
        gridView.Settings.ShowColumnHeaders = true;

        gridView.SettingsPager.FirstPageButton.Visible = true;
        gridView.SettingsPager.LastPageButton.Visible = true;
        gridView.SettingsPager.ShowNumericButtons = true;
        gridView.SettingsPager.PageSizeItemSettings.Visible = true;
        gridView.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        gridView.SettingsPager.PageSizeItemSettings.Caption = "Page size";
        
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "AP_YEAR";
                column.Caption = "AP<br />Year";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "CATEGORY_CD";
                column.Caption = "Category<br />Code";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "VERSION_CD";
                column.Caption = "Version";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "EDITION";
                column.Caption = "Edition";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "PLANT_CD";
                column.Caption = "Plant<br />Code";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "CAR_FAMILY_CD";
                column.Caption = "Car Family<br />Code";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });       
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "PART_NO";
                column.Caption = "Part No";
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.Width = Unit.Pixel(150);
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "PART_NAME";
                column.Caption = "Part Name";
                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.Width = Unit.Pixel(250);
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "COLOR_SFX";
                column.Caption = "Color";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "AP_OF";
                column.Caption = "AP Of";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
                column =>
                {
                    column.FieldName = "PART_MATCHING_KEY";
                    column.Caption = "Part<br />Matching Key";
                    column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.Width = 100;
                });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "SUPPLIER_CD";
                column.Caption = "Supplier<br />Code";
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.Width = Unit.Pixel(60);
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "SUPPLIER_PLANT_CD";
                column.Caption = "Supplier<br />Plant Code";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = Unit.Pixel(70);
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "SUPPLIER_NAME";
                column.Caption = "Supplier Name";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                column.Width = Unit.Pixel(250);
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "KANBAN_SIZE";
                column.Caption = "Kanban<br />Size";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "PROD_MONTH";
                column.Caption = "Production<br />Month";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "VOLUME";
                column.Caption = "Volume";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "FINAL_VOLUME";
                column.Caption = "Final<br />Volume";
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.Width = 70;
            });
        gridView.Columns.AddBand(
            columnBand =>
            {                
                columnBand.Caption = "Vendor Share";
                columnBand.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                columnBand.Columns.Add(
                    column =>
                    {
                        column.FieldName = "VENDOR_SHARE_GROUP_NO";
                        column.Caption = "Group No";
                        column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.Wrap = DefaultBoolean.False;
                        column.Width = 70;
                    });
                columnBand.Columns.Add(
                    column =>
                    {
                        column.FieldName = "VENDOR_SHARE_TYPE";
                        column.Caption = "Type";
                        column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.Wrap = DefaultBoolean.False;
                        column.Width = 70;
                    });
                columnBand.Columns.Add(
                    column =>
                    {
                        column.FieldName = "VENDOR_SHARE_VALUE";
                        column.Caption = "Value";
                        column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.Wrap = DefaultBoolean.False;
                        column.Width = 70;
                    });
            });                
    }).Bind(Model.GetModel<AnnualPlanAPPSModel>().AnnualPlanPullDetailList).GetHtml()
